Bug 1028771 - [abrt] gq-1.3.4-16.fc19: vsnprintf: Process /usr/bin/gq was killed by signal 11 (SIGSEGV)
[abrt] gq-1.3.4-16.fc19: vsnprintf: Process /usr/bin/gq was killed by signal ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gq (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bf3695f8e56879a3ffa7ee66bac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 11:02 EST by Brian J. Murrell
Modified: 2013-12-13 22:04 EST (History)
1 user (show)

See Also:
Fixed In Version: gq-1.3.4-19.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 04:34:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (26.29 KB, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: core_backtrace (11.02 KB, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: dso_list (9.93 KB, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: environ (3.04 KB, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: maps (47.46 KB, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: open_fds (549 bytes, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details
File: var_log_messages (400 bytes, text/plain)
2013-11-10 11:02 EST, Brian J. Murrell
no flags Details

  None (edit)
Description Brian J. Murrell 2013-11-10 11:02:17 EST
Description of problem:
Trying to browse an element in a tree.

Version-Release number of selected component:
gq-1.3.4-16.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gq
crash_function: vsnprintf
executable:     /usr/bin/gq
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 vsnprintf at /usr/include/bits/stdio2.h:77
 #3 g_vsnprintf at gprintf.c:278
 #4 error_push_production_v at errorchain.c:125
 #6 error_push_debug at errorchain.c:196
 #7 push_ldap_addl_error at errorchain.c:218
 #8 dn_browse_entry_expand at gq-browser-node-dn.c:554
 #9 browser_model_iter_nth_child at gq-browser-model.c:360
 #10 gtk_tree_view_real_expand_row at gtktreeview.c:12135
 #11 gtk_tree_view_button_release at gtktreeview.c:3070
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86

Potential duplicate: bug 868900
Comment 1 Brian J. Murrell 2013-11-10 11:02:23 EST
Created attachment 822107 [details]
File: backtrace
Comment 2 Brian J. Murrell 2013-11-10 11:02:25 EST
Created attachment 822108 [details]
File: cgroup
Comment 3 Brian J. Murrell 2013-11-10 11:02:28 EST
Created attachment 822109 [details]
File: core_backtrace
Comment 4 Brian J. Murrell 2013-11-10 11:02:33 EST
Created attachment 822110 [details]
File: dso_list
Comment 5 Brian J. Murrell 2013-11-10 11:02:35 EST
Created attachment 822111 [details]
File: environ
Comment 6 Brian J. Murrell 2013-11-10 11:02:37 EST
Created attachment 822112 [details]
File: exploitable
Comment 7 Brian J. Murrell 2013-11-10 11:02:40 EST
Created attachment 822113 [details]
File: limits
Comment 8 Brian J. Murrell 2013-11-10 11:02:42 EST
Created attachment 822114 [details]
File: maps
Comment 9 Brian J. Murrell 2013-11-10 11:02:44 EST
Created attachment 822115 [details]
File: open_fds
Comment 10 Brian J. Murrell 2013-11-10 11:02:47 EST
Created attachment 822116 [details]
File: proc_pid_status
Comment 11 Brian J. Murrell 2013-11-10 11:02:49 EST
Created attachment 822117 [details]
File: var_log_messages
Comment 12 Terje Røsten 2013-11-18 15:19:24 EST
Thanks for report.
Comment 13 Fedora Update System 2013-11-18 15:23:35 EST
gq-1.3.4-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc19
Comment 14 Fedora Update System 2013-11-18 15:23:58 EST
gq-1.3.4-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc20
Comment 15 Fedora Update System 2013-11-18 15:24:23 EST
gq-1.3.4-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc18
Comment 16 Fedora Update System 2013-11-19 00:24:51 EST
Package gq-1.3.4-18.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gq-1.3.4-18.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21651/gq-1.3.4-18.fc18
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-12-02 04:34:29 EST
gq-1.3.4-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-12-02 04:37:57 EST
gq-1.3.4-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-12-13 22:04:31 EST
gq-1.3.4-19.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.